	{% if true %}
   	<div id="loading-progress-wrapper">
     <div class="black_bar_container"></div>

<div class="shopify-section">
	<article id="section-page" class="site-box-container container--fullscreen box--can-stick">
      <div id="splash-progress" class="splash-progress">
          <img src="https://cdn.shopify.com/s/files/1/0226/7276/9096/files/loading.gif?1955" alt="">
          <div class="loading-progress-bar">
              <div class="progressed_bar" style="width: 0%;" id="bar1"></div>
          </div>
      </div>
	</article>
</div>
      

  
  <input type="hidden" id="progress_width" value="0">

      <script>

function check_element(ele)
{
  
  
  
  var all = document.getElementsByTagName("*");
  var totalele=all.length;
  var per_inc=100/all.length;

  if($(ele).on())
  {
    var prog_width=per_inc+Number(document.getElementById("progress_width").value);
    document.getElementById("progress_width").value=prog_width;
    $("#bar1").animate({width:prog_width+"%"},10,function(){
      if(document.getElementById("bar1").style.width=="100%")
      {
        
     


 
        
   
//       checkforAnimationDone();
      }			
    });
  }

}
        
        
                 
let hide_pro_gif = function() {
  return new Promise(function(resolve, reject) {
   //hide gif and progress-bar
        var pro_img = document.getElementById('splash-progress');
        pro_img.style.transition = '0.8s';
        pro_img.style.opacity = 0;
    
    	pro_img.addEventListener('transitionend',resolve);
  });
      
};       
    
        
        
let black_bar_animation = function() {
    return new Promise(function(resolve, reject) {

      //black blocks animation - final one on loading
        var anArray = $(".black_bar_container").find(".black_bar");
        for(var i=0;i<anArray.length;i++){
          var $v = $(anArray[i]);
          $v.delay(40*i).queue(function() {
            $(this).addClass("black_down");
          });
        }
      anArray.last().on('transitionend',function(){
      
              var progress_bar_wrapper = document.getElementById('loading-progress-wrapper');
        progress_bar_wrapper.style.display = 'none';
        resolve();
      });
      
        });
};

let run_main_video = function(message) {
        //start video after loading completed
        var vid = document.getElementById('video-1');
        playVideos(); 
        vid.play();
};


        var x = $("#bar1").animate({width:"80%"},2000);
        
        $(window).on('load',function(){
x.finish().animate({width:"100%"},{
            duration:400,
            complete: ()=>{
            
              
//               await hide_pro_gif();
              
//               await black_bar_animation();
              
//               run_main_video();
              
             
              hide_pro_gif().then(function(){
                black_bar_animation().then(function(){
                run_main_video();
                })
              })
            }
          });
        
         });

      </script>

<style>

	#loading-progress-wrapper {
      position: fixed;
      /*width: 100%;*/
      height: 100vh;
      width: calc( 100% + 2px );
      height: calc( 100vh + 2px);
      margin:-1px;
      background-color: #000;
      
      top: 0px;
      z-index: 2147483648;
    }
  
    @-webkit-keyframes expand{
        0%{ height: 1350px}
        100%{height: 0}
    }
  
    .splash-progress {
        position: fixed;
        top: calc(50% - 77.5px);
        left: calc(50% - 64px);
    }
  
    .loading-progress-bar {
        width: 100%;
        height: 12.5px;
        background-color: #161516;
    }
    .progressed_bar {
        height: 12.5px;
        background-color: #c7f8c8;
      width:0;
    }
  
  	#splash-progress img {
      margin-bottom: 10px; 
    }
  
.black_bar_container{
  position: absolute;
  left: 0px;
  top: 0px;
  height: 100%;
  /*width: 100%;*/
  width: calc( 100% + 2px );
  margin-left:-1px;
  overflow: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: end;
      -ms-flex-align: end;
          align-items: flex-end;
}
.black_bar{
  background-color: black;
  /*width: 5%;*/
  width: calc( 5% + 1px );
  height: 100%;
  float: left;
  
  -webkit-transform: height 0.7s;
  -webkit-transition: 
    -webkit-transform height 0.7s;
  -ms-transform: height 0.7s;
  -webkit-transition: height 0.7s;
  -o-transition: height 0.7s;
  transition: height 0.7s;
  
  border:none;
  padding:0px;
  /*margin:0px;*/
  margin-right:-1px;
}
.black_down{
  height:0%;
}
@-moz-document url-prefix() {
    .box_cover p {
        margin-top: 30px;
    }
}
  
</style>
<script>
jQuery(document).ready(function () {
  //Initial Animation #2
  for(var i=0;i<20;i++){
    $(".black_bar_container").append('<div class="black_bar"></div>');
  }
  $("#loading-progress-wrapper").css("background-color","initial");
//   checkforVideos();
});
  
// var obj = document.getElementById("progress");
// var val = 0;
// var time = setInterval(() => {
//   val++;
//   //console.log(videos_loaded);videos_loaded
//   /*
//   if ( videos_loaded && val<100 ){
//     val += 100;
//     obj.setAttribute("style", "width:100%");
//   }
//   */
//   if ( val >= 100 ) {
//     var splash = document.getElementById('loading-progress-wrapper');
//     //splash.setAttribute('style', 'animation: expand 500ms;');
//     clearInterval(time);
    
    
 
//     setTimeout(() => {
//       var pro_img = document.getElementById('splash-progress');
//       pro_img.setAttribute('style', 'display: none;');
//       //Animation #2
//       setTimeout(function(){ 
//         var anArray = $(".black_bar_container").find(".black_bar");
//         for(var i=0;i<anArray.length;i++){
//           var $v = $(anArray[i]);
//           $v.delay(40*i).queue(function() {
//             $(this).addClass("black_down");
//           });
//         }
//       },500);
//       checkforAnimationDone();
  
  
//       //Hide the block completely.
//       //setTimeout(() => {
//         //splash.setAttribute('style', 'display: none');
//       //},2000);
  
//     },2000);
//   }
//   if( val<=100 ) obj.setAttribute("style", "width:"+val+"%");
// }, 100);

// var videos_loaded = false;
// var timer_videos_loaded;
// function checkforVideos() {
//     //Every 500ms, check if the video element has loaded
//     timer_videos_loaded = setInterval(function(){
//     	var VideoElement1 = document.getElementById("video-1");
//     	var VideoElement2 = document.getElementById("video-2");
//         //console.log(VideoElement1.readyState);
//         if(VideoElement1.readyState >= 3 && VideoElement2.readyState >= 3){
//             //This block of code is triggered when the video is loaded

//           	VideoElement1.play();
//           	VideoElement2.play();
//             //your code goes here
//             videos_loaded = true;

//             //stop checking every half second
//             clearInterval(timer_videos_loaded);

//         }
//         else{
//         	console.log("VS: loading");
//         }
//     },500);
// }
  
// function checkforAnimationDone() {
//     //Every 500ms, check if the video element has loaded
//     var timer_c = setInterval(function(){
//         //if(jQuery(".black_down").length>=20){
//         if( jQuery(".black_down:last").css("height")=="0px" ){
//             //This block of code is triggered when the video is loaded

//             //your code goes here
//             var splash = document.getElementById('loading-progress-wrapper');
//             setTimeout(() => {
//               splash.setAttribute('style', 'display: none');
//             },500);

//             //stop checking every half second
//             clearInterval(timer_c);

//         }
//         else{
//           console.log("waiting for the animation loaded:"+jQuery(".black_down:last").css("height"));
//         }
//     },1000);
// }
  
// //
</script>


    </div>
	{% endif %}


<div class="shopify-section" style="display: grid;" >
	
 <div>
    <div id="video_container" class="with-image" aria-hidden="true" style="display: flex;">
      <video width="100%" height="100%" id="video-1" muted loop preload="none"  poster playsinline webkit-playsinline>
        <source type="video/mp4" src="" data-desktop-src="{{ settings.video_1_desktop | asset_url }}" data-mobile-src="{{ settings.video_1_mobile | asset_url }}">
        Your browser does not support the video tag.
      </video>
      
    </div> 
  </div>
  <div>
 <div class="with-image custom_banner_text" aria-hidden="true" style="display: flex;justify-content: center;align-items: center;color: white;position:relative;">
      <!-- autoplay -->
      <video width="100%" height="100%" id="video-2" muted loop preload="none" autoplay poster playsinline webkit-playsinline>
        <source type="video/mp4" src="" data-desktop-src="{{ settings.video_2_desktop | asset_url }}" data-mobile-src="{{ settings.video_2_mobile | asset_url }}">
        Your browser does not support the video tag.
      </video>
   <div class="text-animation-wrapper">
      <div id="custom_banner_text">
        <div class="box_cover"><h2 class="title big-title">Made in Malibu</h2></div>
      </div>
	  <div class="custom_banner_p">
        <div class=""><p>A world of possibilities, where technology meets sustainable lifestyle.</p></div>
      </div>
      </div>
    </div>
  </div>
 


<script>
var TimerID_video1;
var TimerID_video2;
window.addEventListener("resize", function(){
  //return;
  clearTimeout(TimerID_video1);
  clearTimeout(TimerID_video2);
  TimerID_video1 = setTimeout(function(){showing_video("video-1")},1000);
  TimerID_video2 = setTimeout(function(){showing_video("video-2")},1200);
  //setTimeout(function(){playVideos()},2000);
  
});
                        
jQuery(document).ready(function () {
  
  
  //showing_video("video-1");
  //showing_video("video-2");
  setTimeout(function(){showing_video("video-1");},300);
  setTimeout(function(){showing_video("video-2");},600);
  
  //playVideos();
  
  //Animation #1
  jQuery('#custom_banner_text').appear(function() {});
  console.log("aaaa==========aaaa");
  jQuery(document.body).on('appear',"#custom_banner_text", function(event) {
    
	setTimeout(function(){ 
      $(".box_cover").addClass("box_cover_do").delay(500).queue(function() {
        $(this).addClass("box_cover_remove");
      });
      
    }, 10);
  });
  
  
  
  
 
  
  jQuery('#video-1').click(function() {
  		window.location = '/pages/apply';
  });
  
  jQuery('#video-2').click(function() {
  		window.location = '/pages/about';
  });
  
});
  


function showing_video(id){
  var w = window.matchMedia("(min-width: 1024px)");
  var vid = document.getElementById(id);
  var src_desktop = jQuery(vid).find("source:lt(1)").attr("data-desktop-src");
  var src_mobile = jQuery(vid).find("source:lt(1)").attr("data-mobile-src");
  var src_current = jQuery(vid).find("source:lt(1)").attr("src");
  if (w.matches  ) {
    if( src_current!=src_desktop ){
      console.log("showing desktop");
      vid.pause();
      jQuery(vid).find("source:lt(1)").removeAttr("src");
      jQuery(vid).find("source:lt(1)").attr("src", src_desktop );
      vid.load();
//       playVideos();
//       vid.play();
    }
  } else  {
    if( src_current!=src_mobile ){
      console.log("showing mobile");
      vid.pause();
      jQuery(vid).find("source:lt(1)").removeAttr("src");
      jQuery(vid).find("source:lt(1)").attr("src", src_mobile );
      vid.load();
//       playVideos();
//       vid.play();
    }
  }
}

///*
function playVideos(){
  //console.log("play Videos");
  // Get all videos.
  var videos = document.querySelectorAll('video');

  // Create a promise to wait all videos to be loaded at the same time.
  // When all of the videos are ready, call resolve().
  var promise = new Promise(function(resolve) {
    var loaded = 0;

    videos.forEach(function(v) {
      v.addEventListener('loadedmetadata', function() {
        loaded++;

        if (loaded === videos.length) {
          resolve();
        }
      });
    });
  });

  // Play all videos one by one only when all videos are ready to be played.
  promise.then(function() {
    videos.forEach(function(v) {
      v.play();
    });
  });
  
}
//*/
</script>

<style type="text/css">
  
  .text-animation-wrapper{
       position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
        text-align: center;
  }
  .text-animation-wrapper .custom_banner_p{
   margin-top:20px;
  }
   .text-animation-wrapper #custom_banner_text{
   display:inline-block;
  }
  
  
  @media(max-width:768px){
    .text-animation-wrapper .custom_banner_p{
   margin-top:10px;
  }
  }
.box_cover{
  position: relative;
  /*width:200px;
  height: 50px;*/
  overflow: hidden;
/*   line-height: 50px; */
  text-align: center;
}
.box_cover h2, .box_cover.line_wrap span{
  opacity: 0.01;
}
.box_cover:before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  right: 100%;
  bottom: 0;
  width:100%;
  background: #D5E4C0;
  -webkit-transition: right .4s ease-in-out;
  -o-transition: right .4s ease-in-out;
  transition: right .4s ease-in-out;
  -webkit-transform: right .4s ease-in-out;
  -ms-transform: right .4s ease-in-out;
  
}
.box_cover_remove h2, .box_cover_remove.line_wrap span{
  opacity: 1;
}
.box_cover_do:before{
  right: 0%;
  
}
.box_cover_remove:before{
  -webkit-transition: right .4s ease-in-out;
  -o-transition: right .4s ease-in-out;
  transition: right .4s ease-in-out;
  right: -102%;
}
</style>
  
  
  
  {% section 'home_blog-posts' %}
  
  
  <style>

    
    #section-home_blog-posts .blog-item.img-right {
    height: 70vh!important;
    display: flex!important;
    flex-direction: column-reverse;
/* 									border-bottom-left-radius: 2px;
									border-left: 1px solid #ededed;
									border-bottom: 1px solid #ededed; */
      border:none!important;
	}
    
    #section-home_blog-posts .site-box.box__blog .blog-item .content>div{
     width:100%;
          min-height: 140px;
          padding: 5%;
    }
    
      #section-home_blog-posts .site-box.box__blog .blog-item .content>div .header:after{
   display:none;
    }
    
      #section-home_blog-posts .site-box.box__blog .blog-item .content>div .header .title{
     color:#010000;
    }
    
      #section-home_blog-posts .site-box.box__blog .blog-item .content>div .excerpt{
     font-family: 'Helvetic Neue LT STD 55 Roman',sans-serif!important;
   letter-spacing:0!important;
  font-size:16px!important;
  line-height:28px!important;
        color:#010000;
        margin-top:7px;
        padding-left: 30px;
        position: relative;
    display: block!important;
    }
        #section-home_blog-posts .site-box.box__blog .blog-item .content>div .excerpt .article-color{
     width:14px;
          height:14px;
          background:#000;
              position: absolute;
    left: 0;
    top: 6px;
    }
     
    #section-home_blog-posts .site-box.box__blog .blog-item .content{
       padding: 0;
    background: #fff;
          height: auto!important;
    display: block;
    }
  
  
    #section-home_blog-posts .site-box.box__blog .blog-item .background{
     position:relative;
    }
    
    #section-home_blog-posts .site-box.box--big.lap--box--small-fl.box--typo-big.box--center-align.box--column-flow.box__heading{
     background:#fff;
    }
    
    @media (min-width:991px){
      
    #section-home_blog-posts .site-box.box--big.lap--box--small-fl.box--typo-big.box--center-align.box--column-flow.box__heading{
     background:#fff;
      overflow: visible;
    z-index: 99;
    }
     #section-home_blog-posts .site-box.box--big.lap--box--small-fl.box--typo-big.box--center-align.box--column-flow.box__heading:after{
     position: absolute;
    content: '';
    top: 0;
    right: -100.4%;
    background: #ffffff;
    width: 105%;
    height: 10vh;
    }
    }
    
    .site-box.box__blog .blog-item p.excerpt{
      
    }
    
       
      #section-home_blog-posts .site-box.box__blog .blog-item.hovered-here .content>div .header .title,
     #section-home_blog-posts .site-box.box__blog .blog-item.hovered-here .content>div .excerpt,
     #section-home_blog-posts .site-box.box__blog .blog-item.hovered-here .content>div .excerpt .article-color,
    #section-home_blog-posts .site-box.box__blog .blog-item .content
    
    {
     transition:all .3s ease;
    }
    
    
    
      .blog-item.hovered-here .content>div  .header .title,
    .blog-item.hovered-here .content>div  .excerpt
    {
          color:#fff!important;
    }
    
        #section-home_blog-posts .site-box.box__blog .blog-item.hovered-here .content>div .excerpt .article-color{
          background:#fff!important;
    }
    
    @media (min-width:991px){
    #custom_banner_text .title{
      font-size:60px!important;
    }
    }
    
    @media (min-width:1200px){
    #custom_banner_text .title{
      font-size:70px!important;
    }
    }
    
    .custom_banner_text .custom_banner_p p{
        margin:0;
        text-align: center;
      font-size:20px;5;
    }
     .custom_banner_text .custom_banner_p .line_wrap{
            line-height: normal;
    	 	display: inline-block;
    }
  </style>
  
  <script>
  
    $('#section-home_blog-posts .blog-item.img-right').each(function(){
    var hover_color = $(this).find('.article-color').css('background-color');
      $( this ).hover(
  function() {
    $( this ).addClass('hovered-here');
    $( this ).find('.content').css('background-color',hover_color);
  }, function() {
    $( this ).removeClass('hovered-here');
    $( this ).find('.content').css('background-color','#fff');
  }
);
    })
    
  
    
    var $cont = $('.custom_banner_text .custom_banner_p p')

var text_arr = $cont.text().split(' ');

for (i = 0; i < text_arr.length; i++) {
    text_arr[i] = '<span>' + text_arr[i] + ' </span>';
}

$cont.html(text_arr.join(''));

$wordSpans = $cont.find('span');

var lineArray = [],
    lineIndex = 0,
    lineStart = true,
    lineEnd = false

    $wordSpans.each(function(idx) {
        var pos = $(this).position();
        var top = pos.top;

        if (lineStart) {
            lineArray[lineIndex] = [idx];
            lineStart = false;

        } else {
            var $next = $(this).next();

            if ($next.length) {
                if ($next.position().top > top) {
                    lineArray[lineIndex].push(idx);
                    lineIndex++;
                    lineStart = true
                }
            } else {
                lineArray[lineIndex].push(idx);
            }
        }

    });


//console.log( lineArray)
for (i = 0; i < lineArray.length; i++) {
    var start = lineArray[i][0],
        end = lineArray[i][1] + 1;

    /* no end value pushed to array if only one word last line*/
    if (!end) {
        $wordSpans.eq(start).wrap('<span class="line_wrap box_cover">')
    } else {
        $wordSpans.slice(start, end).wrapAll('<span class="line_wrap box_cover">');
    }

}
  </script>
